#include<bits/stdc++.h>
using namespace std;
#define N 100005
int n;
vector<int> e[N];
int dfn[N],son[N],sz[N],top[N],dep[N],fa[N],tim;
void dfs1(int u,int f)
{
    fa[u]=f;
    dep[u]=dep[f]+1;
    sz[u]=1;
    for(auto v:e[u])
    {
        if(v==f)continue;
        dfs1(v,u);
        sz[u]+=sz[v];
        if(!son[u]||sz[son[u]]<sz[v])son[u]=v;
    }
}
void dfs2(int u,int tp)
{
    top[u]=tp;
    dfn[u]=++tim;
    if(son[u])dfs2(son[u],tp);
    for(auto v:e[u])
    {
        if(v==fa[u]||v==son[u])continue;
        dfs2(v,v);
    }
}
int lca(int u,int v)
{
    int tu=top[u],tv=top[v];
    while (tu!=tv)
    {
        if(dep[tu]>dep[tv])
        {
            u=fa[tu];
            tu=top[u];
        }
        else
        {
            v=fa[tv];
            tv=top[v];
        }
    }
    if(dep[u]>dep[v])swap(u,v);
    return u;
}
int Lca[5005][5005];
signed main()
{
    freopen("traverse.in","r",stdin);
    freopen("traverse.out","w",stdout);
    cout<<1<<endl;
}